Subject: bug#48336: closed (Re: bug#48336: kicad cannot see libngspice)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 May 2021 21:51:02 +0000

Your bug report

#48336: kicad cannot see libngspice

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48336: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48336
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48336: kicad cannot see libngspice
From: Guillaume Le Vaillant <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 May 2021 21:50:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Howard <[email-masked]> skribis:

> In Kicad Eeschema, if I try to use the Tools >> Simulator menu entry, I
> get an error in a pop-up window that libngspice cannot be found, and
> then the whole Kicad application closes. I see that libngspice is a
> dependency of kicad so I'm not quite sure what is wrong.
>
> I asked at #kicad at they said that Kicad does not have any gui-
> adjustable path settings for ngspice or libngspice, so I don't think I
> have the application configured wrong.

Fix pushed as f7d2ae57543ae6afe14434877d7480b15dcbb5b7.
I checked that the libngspice library is detected and that the
simulation window opens correctly, but I have not tried making
simulations of electronic circuits.
Please open another bug if you find a problem.

Subject: kicad cannot see libngspice
From: Christopher Howard <[email-masked]>
To: bug-guix <[email-masked]>
Date: Mon, 10 May 2021 09:58:05 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

In Kicad Eeschema, if I try to use the Tools >> Simulator menu entry, I
get an error in a pop-up window that libngspice cannot be found, and
then the whole Kicad application closes. I see that libngspice is a
dependency of kicad so I'm not quite sure what is wrong.

I asked at #kicad at they said that Kicad does not have any gui-
adjustable path settings for ngspice or libngspice, so I don't think I
have the application configured wrong.

Thank you,

Christopher Howard

christopher@theoden ~$ neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System 9ffa81fe64ee405e1a861b72a21bca966fcbc236 x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.11.18-gnu 
Uptime: 8 mins 
Packages: 92 (guix-system), 104 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: Intel HD Graphics 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
Memory: 1673MiB / 7871MiB

christopher@theoden ~$ guix describe
Generation 16	May 03 2021 09:42:36	(current)
  guix 9ffa81f
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 9ffa81fe64ee405e1a861b72a21bca966fcbc236